class LogFormatType {

  static SIMPLE = 'simple';
  static LOG_FMT = 'logfmt';

}

export default class LogFormat {

  static SIMPLE = new LogFormat(LogFormatType.SIMPLE);
  static LOG_FMT = new LogFormat(LogFormatType.LOG_FMT);

  static DEFAULT_FORMAT = this.SIMPLE;

  format;
  constructor(format) {
    this.format = format;
  }

  isSimple() {
    return LogFormatType.SIMPLE == this.format;
  }

  isLogfmt() {
    return LogFormatType.LOG_FMT == this.format;
  }

  toString() {
    return this.format;
  }

}
